package com.bonus.canteen.core.basic.service;

import java.util.List;
import com.bonus.canteen.core.basic.domain.BasicArea;
import com.bonus.canteen.core.common.domain.TreeSelect;

/**
 * 区域Service接口
 * 
 * @author xsheng
 * @date 2025-05-25
 */
public interface IBasicAreaService {
    /**
     * 查询区域
     * 
     * @param areaId 区域主键
     * @return 区域
     */
    public BasicArea selectBasicAreaByAreaId(Long areaId);

    /**
     * 查询区域列表
     * 
     * @param basicArea 区域
     * @return 区域集合
     */
    public List<BasicArea> selectBasicAreaList(BasicArea basicArea);

    public List<TreeSelect> selectAreaTreeList(BasicArea area);

    /**
     * 新增区域
     * 
     * @param basicArea 区域
     * @return 结果
     */
    public int insertBasicArea(BasicArea basicArea);

    /**
     * 修改区域
     * 
     * @param basicArea 区域
     * @return 结果
     */
    public int updateBasicArea(BasicArea basicArea);

    /**
     * 批量删除区域
     * 
     * @param areaIds 需要删除的区域主键集合
     * @return 结果
     */
    public int deleteBasicAreaByAreaIds(Long[] areaIds);

    /**
     * 删除区域信息
     * 
     * @param areaId 区域主键
     * @return 结果
     */
    public int deleteBasicAreaByAreaId(Long areaId);
}
